%define appname totem
%define ver_major 2.16

%def_enable mozilla
%def_enable nautilus
%def_enable vanity

Name: %appname-gstreamer
Version: %ver_major.5
Release: alt1

Summary: Movie player for GNOME 2 based on GStreamer
Summary(ru_RU.KOI8-R):   GNOME 2   GStreamer
Group: Video
License: GPL
URL: http://www.gnome.org/projects/totem/

Source: http://ftp.gnome.org/pub/gnome/sources/%appname/%ver_major/%appname-%version.tar.bz2

%define gst_ver 0.10.1
%define gst_plugins_ver 0.10.1

%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define desktop_file_utils_ver 0.8
%define glib_ver 2.8.0
%define gtk_ver 2.5.6
%define gnomedesktop_ver 2.1.5
%define gnome_icon_theme_ver 2.9.3

Provides: totem = %version
Obsoletes: totem

Requires: lib%appname = %version-%release
Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome-desktop >= %gnomedesktop_ver
Requires: gnome-icon-theme >= %gnome_icon_theme_ver
Requires: iso-codes

Requires: gstreamer >= %gst_ver
Requires: gstreamer(audio-hardware-sink)
Requires: libgst-plugins >= %gst_plugins_ver
# GStreamer plugins
Requires: gst-plugins-audio-filters
Requires: gst-plugins-audio-formats
Requires: gst-plugins-container-formats
Requires: gst-plugins-network
Requires: gst-plugins-subtitle
Requires: gst-plugins-video-filters
Requires: gst-plugins-video-formats
Requires: gst-plugins-xvideo
Requires: gst-plugins-gconf
Requires: gst-plugins-gnomevfs
Requires: gst-plugins-good-visualization
Requires: gst-plugins-ugly-audio-formats
Requires: gst-plugins-ugly-container-formats
Requires: gst-plugins-mad
Requires: gst-plugins-mpeg2dec
Requires: gst-ffmpeg
# Doesn't play DVDs yet
#Requires: gst-plugins-dvdread

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

BuildPreReq: browser-plugins-npapi-devel

BuildRequires: gcc-c++ gnome-control-center gst-plugins-devel gstreamer-utils imake libdbus-glib-devel libgnome-desktop-devel libhal-devel liblirc-devel libXrandr-devel libXt-devel libXtst-devel libXxf86vm-devel perl-XML-Parser scrollkeeper xorg-cf-files

BuildRequires: gstreamer-devel >= %gst_ver
BuildRequires: gstreamer-utils >= %gst_ver
BuildRequires: gst-plugins-devel >= %gst_plugins_ver
BuildRequires: gst-plugins-base
BuildRequires: gst-plugins-base-video-filters
BuildRequires: gst-plugins-gconf
BuildRequires: gst-plugins-good-visualization

BuildRequires: iso-codes-devel
BuildRequires: shared-mime-info >= 0.17

BuildRequires: glib2-devel >= %glib_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: libgnome-desktop-devel >= %gnomedesktop_ver
BuildRequires: gnome-icon-theme >= %gnome_icon_theme_ver
BuildRequires: desktop-file-utils >= %desktop_file_utils_ver
BuildRequires: gnome-common >= 2.8.0
%if_enabled mozilla
BuildRequires: seamonkey-devel
%endif
%if_enabled nautilus
BuildRequires: libnautilus-devel
%endif

%description
Totem is the official movie player of the GNOME desktop environment
based on GStreamer. It features a playlist, a full-screen mode, seek
and volume controls, as well as keyboard navigation.

%description -l ru_RU.KOI8-R
Totem --       GNOME 
 GStreamer,    ,
 ,     ,  
   .

%package -n lib%appname
Summary: Shared libraries of the Totem media player
Group: System/Libraries

%description -n lib%appname
Shared libraries that come with the Totem media player.

%package -n lib%appname-devel
Summary: Development files for Totem media player
Group: Development/C
Requires: lib%appname = %version-%release
Provides: totem-devel = %version
Obsoletes: totem-devel

%description -n lib%appname-devel
Totem is simple movie player for the Gnome desktop based on GStreamer.
This package provides files needed to build applications using Totem
libraries.

%package -n mozilla-plugin-%name
Summary: Mozilla plugin for the Totem media player
Group: Networking/WWW
Requires: %name = %version-%release
Requires: browser-plugins-npapi

%description -n mozilla-plugin-%name
A Mozilla plug-in for that enables media playback from within webpages
via the Totem media player.

%package nautilus
Summary: Nautilus extension for the Totem media player
Group: Video
Provides: totem-nautilus = %version
Obsoletes: totem-nautilus
Requires: %name = %version-%release

%description nautilus
This package provides a Totem media player properties tab for
the Nautilus file manager.

%package -n vanity-gstreamer
Summary: Webcam utility
Group: Video
Provides: vanity = %version
Obsoletes: vanity
Requires: %name = %version-%release
Requires: gst-plugins-video4linux >= %gst_plugins_ver

%description -n vanity-gstreamer
Vanity is an utility to view live webcam and upload pictures.
Vanity is a part of Totem (movie player) project.

%prep
%setup -q -n %appname-%version

%build

#NOCONFIGURE=1 ./autogen.sh

export GST_REGISTRY=`pwd`/registry.xml
PATH=$PATH:%_libdir/mozilla
#export MOZILLA_PLUGINDIR=%browser_plugins_path

%define _libexecdir %_libdir/totem
%configure \
	--disable-static \
	--disable-schemas-install \
	--enable-gstreamer \
	--enable-lirc \
	%{subst_enable mozilla} \
	%{subst_enable nautilus}  \
	%{subst_enable vanity} \
	%{subst_enable debug} \
	--with-mozilla=seamonkey \
	--with-dbus

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot \
    plugindir=%browser_plugins_path \
    xptdir=%browser_plugins_path \
    install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove none-packaged files
rm -f %buildroot%browser_plugins_path/*.la
rm -f %buildroot%_libdir/nautilus/extensions-1.0/*.la

%find_lang --with-gnome totem

%define schemas totem totem-video-thumbnail totem-handlers

%post
%gconf2_install %schemas
%update_desktopdb

%postun
%clean_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%post -n lib%appname -p %post_ldconfig
%postun -n lib%appname -p %postun_ldconfig

%files -f totem.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/*
%_datadir/applications/totem.desktop
%_datadir/icons/hicolor/*/*/totem.*
%_datadir/pixmaps/*
%_datadir/totem
%_man1dir/*
%config %_sysconfdir/gconf/schemas/*

%files -n lib%appname
%_libdir/*.so.*

%files -n lib%appname-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled vanity
%exclude %_bindir/vanity
%exclude %_datadir/totem/vanity.*
%endif

%if_enabled mozilla
%files -n mozilla-plugin-%name
%dir %_libexecdir
%_libexecdir/totem-mozilla-viewer
%browser_plugins_path/*.so
%browser_plugins_path/*.xpt
%endif

%if_enabled nautilus
%files nautilus
%_libdir/nautilus/extensions-1.0/*
%endif

%if_enabled vanity
%files -n vanity-gstreamer
%_bindir/vanity
%_datadir/applications/vanity.desktop
%_datadir/totem/vanity.*
%endif

%changelog
* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 2.16.5-alt1
- 2.16.2 -> 2.16.5

* Wed Dec 27 2006 Igor Zubkov <icesik@altlinux.org> 2.16.2-alt1.1
- rebuild with new dbus

* Sat Oct 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.16.2-alt1
- Release 2.16.2

* Fri Sep 08 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.16.1-alt1
- Updated to 2.16.1
- Musicbrainz support is gone
- Vanity is back
- Added build dependency on shared-mime-info >= 0.17

* Sun Aug 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.4-alt1
- Updated to 1.4.4
- Removed Patch2
- Switched to seamonkey Gecko engine
- Disabled vanity due to a compilation problem
- Added gst-plugins-good-visualization to requirements

* Fri Jun 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- Run ./autogen.sh to fix problem with installation of gettext files (bug 9701)
- Set a writable GStreamer registry location with GST_REGISTRY
  to make gst-inspect work during build

* Fri Jun 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- Release 1.4.1
- Require an audio hardware sink
- Require mpeg2dec as gst-ffmpeg does not autoplug MPEG2 anymore
- Patch1 has gone upstream

* Thu Apr 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt3
- Correct gst-plugins-video4linux dependency for vanity

* Sat Apr 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt2
- Renamed to totem-gstreamer for conformance with the major distros
- Dropped xine support, as we have a separate totem-xine package now
- New URL
- Refreshed descriptions

* Wed Mar 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- Updated to 1.4.0
- Built with gstreamer 0.10
- Patch0 has gone upstream
- Patch1: correct linking order for libraries
- Patch2: installation directory for the mozilla plugin
- New mozilla plugin package
- Moved shared libraries to libtotem
- Renamed totem-devel to libtotem-devel

* Sat Jan 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.1-alt1
- 1.2.1
- Enabled DBUS support
- Added dependency on gstreamer-v4l2 for vanity
- Removed Debian-style menus

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt3
- Patch0: fix playback for non-mounted DVD discs (GNOME bug #318401)

* Fri Oct 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt2
- Fixed a filelist screwup
- Enable vanity

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- 1.2.0
- Resurrected devel
- Separate binary package for nautilus extensions
- Added dependency on gstreamer-subtitle

* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- rebuild with new libnautilus-burn.so.1 .

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sat Apr 30 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 22 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1
- move vanity to separate subpackage (close #6269) and do not build it by default.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.101-alt0.6
- 0.101.

* Tue Jan 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.100-alt0.5
- 0.100.

* Sat Nov 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.22-alt0.5
- 0.99.22

* Fri Oct 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.20-alt0.5
- 0.99.20

* Mon Jun 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.1-alt0.5
- 0.99.1
- summary, description by avp.

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.5
- First build for Sisyphus.
